Package org.firebirdsql.util

## Class ExceptionHelper

- java.lang.Object
- - org.firebirdsql.util.ExceptionHelper

    @InternalApi
    public final class ExceptionHelper
    extends java.lang.Object

Helpers for exception handling

Author:
  Mark Rotteveel

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `collectAllMessages​(java.sql.SQLException sqlException)` Iterates over the `SQLException` and concatenates all messages from the exception, its causes, and next exceptions and their causes.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### collectAllMessages

    public static java.lang.String collectAllMessages​(java.sql.SQLException sqlException)

Iterates over the `SQLException` and concatenates all messages from the exception, its causes, and next exceptions and their causes.

The messages are produced using `Throwable.toString()`, so they include the name of the exception.

Parameters:
  `sqlException` - starting exception
Returns:
  All exception messages concatenated using new line